Language

Package: bam @ 0.5.1

Synopsis

Fast and flexible build system

Description

Bam is a fast and flexible build system. Bam uses Lua to describe the build process. It takes its inspiration for the script files from scons. While scons focuses on being 100% correct when building, bam makes a few sacrifices to acquire fast full and incremental build times.

Home page
https://matricks.github.io/bam/
Location
gnu/packages/build-tools.scm (line: 68, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/1pn4nma7waykxi0q8nx0hfmm58jv4p6c-bam-0.5.1.drv
    x86_64-linuxx86_64-w64-mingw32/gnu/store/j5y86wfvlx3smvibbmh806kwqdx953p3-bam-0.5.1.drv
    x86_64-linuxriscv64-linux-gnu/gnu/store/90gxla7hhg7s0jmklzvfb7pqs2an53qh-bam-0.5.1.drv
    x86_64-linuxpowerpc-linux-gnu/gnu/store/0ak511xpbfszhb9n653nc3zgr6i196m9-bam-0.5.1.drv
    x86_64-linuxpowerpc64le-linux-gnu/gnu/store/jial6di2mxs922fly0j18x8mawsr1la8-bam-0.5.1.drv
    x86_64-linuxmips64el-linux-gnu/gnu/store/mfd947ic71n8hdcgsyxgr2vadzz11lfa-bam-0.5.1.drv
    x86_64-linuxi686-w64-mingw32/gnu/store/k2nqyaf5xk62jxlvkwkxcv5vdkv5v634-bam-0.5.1.drv
    x86_64-linuxi586-pc-gnu/gnu/store/q83glrm5mycgzw526rypvx6krqbyxj19-bam-0.5.1.drv
    x86_64-linuxarm-linux-gnueabihf/gnu/store/2zf5bwml1djg9ir4cdribjai9dh87nxz-bam-0.5.1.drv
    x86_64-linuxaarch64-linux-gnu/gnu/store/bgbr1wv3ivyav4c8dmk18n7bixy1bpks-bam-0.5.1.drv
    riscv64-linux/gnu/store/xz7qx71az2m1lgm5jqdk4b3dbf7i587d-bam-0.5.1.drv
      powerpc-linux/gnu/store/27a4z1a8vnlnbfxg35pmcn5h8lp9ymxy-bam-0.5.1.drv
        powerpc64le-linux/gnu/store/y1snf8bbmm0rdhfzb02qd7hiw6rfdn1l-bam-0.5.1.drv
        mips64el-linux/gnu/store/qsk4n9hpbd3iqmk8nqk90jy3jz1zqfis-bam-0.5.1.drv
          i686-linux/gnu/store/kmvj0f0zdjwc2cir7wx9vd4hlc9wrgd8-bam-0.5.1.drv
          i586-gnu/gnu/store/qwn2nimflgwhqyzgxkh490sj5j9gd210-bam-0.5.1.drv
          armhf-linux/gnu/store/1m04fgqafns3dk3jv9aq1s65klylliib-bam-0.5.1.drv
          aarch64-linux/gnu/store/fwa9hdsc50fi0vhl41xksakw6r2idl1x-bam-0.5.1.drv

          Lint warnings

          LinterMessageLocation
          input-labels

          Identify input labels that do not match package names

          label 'python' does not match package name 'python2'